Module java.corba
Package org.omg.CORBA

## Interface DynUnion

All Superinterfaces:
  DynAny, Object

Deprecated.
Use the new DynUnion instead

    @Deprecated
    public interface DynUnion
    extends Object, DynAny

The `DynUnion` interface represents a `DynAny` object that is associated with an IDL union. Union values can be traversed using the operations defined in `DynAny`. The first component in the union corresponds to the discriminator; the second corresponds to the actual value of the union. Calling the method `next()` twice allows you to access both components.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`DynAny` `discriminator()` Deprecated. Returns a DynAny object reference that must be narrowed to the type of the discriminator in order to insert/get the discriminator value.
`TCKind` `discriminator_kind()` Deprecated. Returns the TCKind object associated with the discriminator of this union.
`DynAny` `member()` Deprecated. Returns a DynAny object reference that is used in order to insert/get a member of this union.
`TCKind` `member_kind()` Deprecated. Returns the TCKind associated with the member of this union.
`String` `member_name()` Deprecated. Allows for the inspection of the name of this union member without checking the value of the discriminator.
`void` `member_name(String arg)` Deprecated. Allows for the assignment of the name of this union member.
`boolean` `set_as_default()` Deprecated. Determines whether the discriminator associated with this union has been assigned a valid default value.
`void` `set_as_default(boolean arg)` Deprecated. Determines whether the discriminator associated with this union gets assigned a valid default value.

### Methods inherited from interface org.omg.CORBA.DynAny

`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

### Method Detail

#### set_as_default

    boolean set_as_default()

Deprecated.
Determines whether the discriminator associated with this union has been assigned a valid default value.

Returns:
  `true` if the discriminator has a default value; `false` otherwise

#### set_as_default

    void set_as_default(boolean arg)

Deprecated.
Determines whether the discriminator associated with this union gets assigned a valid default value.

Parameters:
  `arg` - `true` if the discriminator gets assigned a default value

#### discriminator

    DynAny discriminator()

Deprecated.
Returns a DynAny object reference that must be narrowed to the type of the discriminator in order to insert/get the discriminator value.

Returns:
  a `DynAny` object reference representing the discriminator value

#### discriminator_kind

    TCKind discriminator_kind()

Deprecated.
Returns the TCKind object associated with the discriminator of this union.

Returns:
  the `TCKind` object associated with the discriminator of this union

#### member

    DynAny member()

Deprecated.
Returns a DynAny object reference that is used in order to insert/get a member of this union.

Returns:
  the `DynAny` object representing a member of this union

#### member_name

    String member_name()

Deprecated.
Allows for the inspection of the name of this union member without checking the value of the discriminator.

Returns:
  the name of this union member

#### member_name

    void member_name(String arg)

Deprecated.
Allows for the assignment of the name of this union member.

Parameters:
  `arg` - the new name of this union member

#### member_kind

    TCKind member_kind()

Deprecated.
Returns the TCKind associated with the member of this union.

Returns:
  the `TCKind` object associated with the member of this union